// variation de la luminosité de la led et mouvement de 2 servo commander par bouton.

#include <Servo.h>  // librarie servo 
#define LED 3              // led connectée patte 3
#define bouton 12 // bouton connecté patte 12
int etat = 0;    // etat sera utilisé pour sauver l'état de la patte d'entrée
int comptage = 0;          // variable de comptage et décomptage
Servo servoGauche;    // nom du servo gauche
Servo servoDroit;     // nom du servo droit
int positionGauche = 0;   // position de départ du servo gauche
int positionDroit = 75;   // position de départ du servo droit

void setup()
{
 pinMode(LED, OUTPUT);     // la led est en sortie
 pinMode(bouton, INPUT);     // le bouton est sur une entrée.
 servoGauche.attach(5); // servo gauche patte 5
 servoGauche.write(positionGauche); // met le servo gauche a sa position
 servoDroit.attach(6);  // servo droit patte 6
 servoDroit.write(positionDroit); // met le servo droit a sa position
}

void loop()                // partie du programme qui va se répéter
{
  etat = digitalRead(bouton); // lit et sauve l'état du bouton appuyé ou non.
  if (etat == HIGH) // si le bouton est appuyé on fait varier la LED.
  {
  for (comptage = 0; comptage <=255; comptage +=1)
    // LED éteinte=0 qui va s'allumer en augmentant de 1 sa valeur jusqu'à son maximum=254.
    {analogWrite(LED, comptage); // fixe la luminosité de la LED pour chaque incrémentation.
    delay(15);  // pause de 15ms pour stabiliser la luminosité à chaque incrémentation.
    }
  for (positionGauche = 0; positionGauche <=75; positionGauche +=1) 
    // augmentation de la position gauche
      {servoGauche.write(positionGauche); // on envoie la valeur au servo gauche
      servoDroit.write(positionDroit - positionGauche);
      // on décompte la valeur gauche et on l'envoie au servo droit
      delay(30); // attente entre chaque valeur
      }
    {
    delay(5000); // attente de 5 secondes avant la fermeture
    } 
  for (positionGauche = 75; positionGauche >=0; positionGauche -=1)
    // on baisse la postion gauche
    {servoGauche.write(positionGauche); // on envoie la valeur au servo gauche
    servoDroit.write(positionDroit - positionGauche);
    // on décompte la valeur gauche et on l'envoie au servo droit
    delay(30); // attente entre chaque valeur
    }
  for (comptage = 255; comptage >=0; comptage -=1)
    // LED allumer=255 qui va s'éteindre en baissant de 1 sa valeur jusqu'à son extinction=1.
    {analogWrite(LED, comptage); // fixe la luminosité de la LED pour chaque décrementation.
    delay(15);  // pause de 15ms pour stabiliser la luminosité à chaque décrémentation.
    }
  }
  else // sinon
  {analogWrite(LED, 0); // led éteinte si le bouton n'est pas appuyé
  servoGauche.write(0); // servo gauche en position initial
  servoDroit.write(75); // servo droit en position initial
  } 
}

